{
  "easycom": {
    "autoscan": true,
    "custom": {
      "^u--(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
      "^up-(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
      "^u-([^-].*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue"
    }
  },
  "pages": [
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": "首页",
        "navigationBarBackgroundColor": "#ffe079",
        "navigationBarTextStyle": "black",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/mall/dapan",
      "style": {
        "navigationBarBackgroundColor": "#ffe079",
        "navigationBarTextStyle": "white",
        "navigationBarTitleText": "大盘"
      }
    },
    {
      "path": "pages/user/index",
      "style": {
        "navigationBarTitleText": "个人中心",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/change_password/change_password",
      "style": {
        "navigationBarTitleText": "修改密码",
        "navigationBarBackgroundColor": "#ffe079",
        "navigationBarTextStyle": "black",
        "enablePullDownRefresh": false
      }
    },

    {
      "path": "pages/order_addcart/order_addcart",
      "style": {
        "navigationBarTitleText": "购物车",
        "navigationBarBackgroundColor": "#fff",
        "navigationBarTextStyle": "black"
      }
    },
    {
      "path": "pages/goods_cate/goods_cate",
      "style": {
        "navigationBarTitleText": "商品分类",
        "navigationBarBackgroundColor": "#fff",
        "navigationBarTextStyle": "black"
      }
    },
    {
      "path": "pages/order_list/index",
      "style": {
        "navigationBarTitleText": "我的订单",
        "navigationBarBackgroundColor": "#ffe079",
        "navigationBarTextStyle": "black"
      }
    },
    {
      "path": "pages/order_details/index",
      "style": {
        "navigationBarTitleText": "订单详情",
        "navigationBarBackgroundColor": "#ffe079",
        "navigationBarTextStyle": "black",
        "app-plus": {
          // #ifdef APP-PLUS
          "titleNView": {
            "type": "default"
          }
          // #endif
        }
      }
    },
    {
      "path": "pages/order_pay_status/index",
      "style": {
        "navigationBarTitleText": "支付成功",
        "navigationBarBackgroundColor": "#FFFFFF",
        "navigationBarTextStyle": "black"
      }
    },
    {
      "path": "pages/merchantCenter/index",
      "style": {
        "navigationBarTitleText": "门店主页",
        "navigationBarBackgroundColor": "#ffe079",
        "navigationStyle": "custom"
      }
    },

    {
      "path": "pages/webview/index",
      "style": {
        "navigationBarTitleText": "服务",
        "navigationBarBackgroundColor": "#ffe079",
        "navigationBarTextStyle": "black"
      }
    }
  ],
  "subPackages": [
    {
      "root": "pages/users",
      "name": "users",
      "pages": [
        {
          "path": "login/index",
          "style": {
            "navigationBarTitleText": "登录",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "app_login/index",
          "style": {
            "navigationBarTitleText": "绑定手机号",
            "navigationStyle": "custom"
          }
        },
        {
          "path": "wechat_login/index",
          "style": {
            "navigationBarTitleText": "登录"
          }
        },
        {
          "path": "my_merchant/index",
          "style": {
            "navigationBarTitleText": "我的商家",
            "navigationBarBackgroundColor": "#FFE079",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "share/index",
          "style": {
            "navigationBarTitleText": "成为门店会员",
            "navigationBarBackgroundColor": "#ffffff",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "card_page/index",
          "style": {
            "navigationBarTitleText": "卡包管理",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black",
            "app-plus": {
              // #ifdef APP-PLUS
              "titleNView": {
                "type": "default"
              }
              // #endif
            }
          }
        },
        {
          "path": "card_page/create",
          "style": {
            "navigationBarTitleText": "卡包编辑",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black",
            "app-plus": {
              // #ifdef APP-PLUS
              "titleNView": {
                "type": "default"
              }
              // #endif
            }
          }
        },
        {
          "path": "user_address_list/index",
          "style": {
            "navigationBarTitleText": "地址管理",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black",
            "app-plus": {
              // #ifdef APP-PLUS
              "titleNView": {
                "type": "default"
              }
              // #endif
            }
          }
        },
        {
          "path": "user_address/index",
          "style": {
            "navigationBarTitleText": "添加地址",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black",
            "app-plus": {
              // #ifdef APP-PLUS
              "titleNView": {
                "type": "default"
              }
              // #endif
            }
          }
        },
        {
          "path": "order_confirm/index",
          "style": {
            "navigationBarTitleText": "提交订单",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "browsing_history/index",
          "style": {
            "navigationBarTitleText": "浏览足迹",
            "navigationBarBackgroundColor": "#fff",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "user_asset/stock_in/stock_in",
          "style": {
            "navigationBarTitleText": "补仓",
            "navigationBarBackgroundColor": "#fff",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "user_asset/asset_info/asset_info",
          "style": {
            "navigationBarTitleText": "资产明细",
            "navigationBarBackgroundColor": "#fff",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "user_asset/record_list/record_list",
          "style": {
            "navigationBarTitleText": "交易明细",
            "navigationBarBackgroundColor": "#fff",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "user_return_list/index",
          "style": {
            "navigationBarTitleText": "退货列表",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black",
            "app-plus": {
              // #ifdef APP-PLUS
              "titleNView": {
                "type": "default"
              }
              // #endif
            }
          }
        },
        {
          "path": "vault/index",
          "style": {
            "navigationBarTitleText": "钱包",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "user_goods_collection/index",
          "style": {
            "navigationBarTitleText": "收藏商品",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "VIP/VIP",
          "style": {
            "navigationBarTitleText": "VIP权益",
            "navigationBarBackgroundColor": "#2f2e3e",
            "navigationBarTextStyle": "white"
          }
        },
        {
          "path": "SVIP/SVIP",
          "style": {
            "navigationBarTitleText": "SVIP权益",
            "navigationBarBackgroundColor": "#212121",
            "navigationBarTextStyle": "white"
          }
        },
        {
          "path": "personal_info/personal_info",
          "style": {
            "navigationBarTitleText": "个人资料",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "goods_return/index",
          "style": {
            "navigationBarTitleText": "申请退货",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black",
            "app-plus": {
              // #ifdef APP-PLUS
              "titleNView": {
                "type": "default"
              }
              // #endif
            }
          }
        },
        {
          "path": "goods_logistics/index",
          "style": {
            "navigationBarTitleText": "物流信息",
            "navigationBarBackgroundColor": "#ffe079",
            "navigationBarTextStyle": "black",
            "app-plus": {
              // #ifdef APP-PLUS
              "titleNView": {
                "type": "default"
              }
              // #endif
            }
          }
        }
      ]
    },
    {
      "root": "pages/merchantCenters",
      "name": "merchantCenters",
      "pages": [
        {
          "path": "merchant",
          "style": {
            "navigationBarTitleText": "商家主页",
            "navigationBarBackgroundColor": "#ffffff",
            "navigationBarTextStyle": "black",
            "enablePullDownRefresh": false
          }
        },
        {
          "path": "postInformation",
          "style": {
            "navigationBarTitleText": "发布商品",
            "navigationBarBackgroundColor": "#ffffff",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "productManagement",
          "style": {
            "navigationBarTitleText": "商品管理",
            "navigationBarBackgroundColor": "#ffffff",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "releaseProduct",
          "style": {
            "navigationBarTitleText": "发布商品",
            "navigationBarBackgroundColor": "#ffffff",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "productCenter",
          "style": {
            "navigationBarTitleText": "产品中心",
            "navigationBarBackgroundColor": "#ffffff",
            "navigationBarTextStyle": "black"
          }
        }
      ]
    },
    {
      "root": "pages/goods",
      "name": "goods",
      "pages": [
        {
          "path": "goods_details/index",
          "style": {
            "navigationStyle": "custom",
            "navigationBarTextStyle": "black"
          }
        },
        {
          "path": "goods_search/index",
          "style": {
            "navigationBarBackgroundColor": "#FFE079",
            "navigationBarTitleText": "搜索商品",
            "navigationBarTextStyle": "black"
          }
        }
      ]
    }
  ],
  "globalStyle": {
    "navigationBarBackgroundColor": "#F8F8F8",
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "水贝商城",
    "backgroundColor": "#ffe079"
  },
  "tabBar": {
    "color": "#999999",
    "selectedColor": "#F8C008",
    "borderStyle": "black",
    "backgroundColor": "#ffffff",
    "list": [
      {
        "pagePath": "pages/index/index",
        "iconPath": "static/images/tabbar/1-001.png",
        "selectedIconPath": "static/images/tabbar/1-003.png",
        "text": "首页"
      },
      {
        "pagePath": "pages/goods_cate/goods_cate",
        "iconPath": "static/images/2-001.png",
        "selectedIconPath": "static/images/2-003.png",
        "text": "分类"
      },
      {
        "pagePath": "pages/order_addcart/order_addcart",
        "iconPath": "static/images/tabbar/3-001.png",
        "selectedIconPath": "static/images/tabbar/3-003.png",
        "text": "购物车"
      },
      {
        "pagePath": "pages/user/index",
        "iconPath": "static/images/tabbar/4-001.png",
        "selectedIconPath": "static/images/tabbar/4-003.png",
        "text": "我的"
      }
    ]
  },
  "uniIdRouter": {}
}
